// subPackageMarketing/page/pages/scratch/scratch.js
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
import Scratch from '../../components/scratch/scratch.js'
const app = getApp();
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    loading : true,
    btnName : '开始刮奖',
    leftNum : 2,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.initScratch();
  },

  //开始刮奖或重新刮奖
  onClickStartScratch(){
    if(this.data.leftNum <= 0){
      wx.showToast({
        title: '对不起,您没有刮奖机会了',
        icon : 'none'
      });
      return;
    }

    if(this.data.btnName == '开始刮奖'){
      this.scratch.start();
      this.setData({
        btnName : '重新刮奖'
      });
    }
    else{
      this.scratch.restart();
    }
  },

  //初始化刮刮卡
  initScratch(){
    let width = app.globalData.systemInfo.screenWidth;
    let self = this;
    this.scratch = new Scratch(this, {
        canvasWidth: width*0.9 - 30,
        canvasHeight: 130,
        imageResource: 'https://img3.bigaka.com/test/1002/202004/20200413/100208b0fbce-b73d-4af9-bd74-47d1ea5311d5.png',
        // maskColor: 'red',
        r: 10,
        awardTxt: '开奖中...',
        awardTxtColor: '#333333',
        awardTxtFontSize: '22px',
        callback: () => {
            console.log('提示语')
            this.scratch.setAwardText('恭喜您,中了100积分')
            this.data.leftNum --;
            this.setData({
              leftNum : this.data.leftNum
            });
        },
        initOkCallBack(){
          self.setData({
            loading : false
          })
        },
    });
    // this.scratch.start()
    //this.scratch.restart()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})